# uopz_copy

(PECL uopz 1 >= 1.0.4, PECL uopz 2)

uopz_copy — Copy a function

Advertencia

Esta función ha sido ELIMINADA en PECL uopz 5.0.0.

### Descripción

uopz_copy(string `$function`): Closure
uopz_copy(string `$class`, string `$function`): Closure

Copy a function by name

### Parámetros

`class`

  The name of the class containing the function to copy

`function`

  The name of the function

### Valores devueltos

A Closure for the specified function

### Ejemplos

Ejemplo #1 uopz_copy() example

`<?php
$strtotime = uopz_copy('strtotime');
uopz_function("strtotime", function($arg1, $arg2) use($strtotime) {
/* can call original strtotime from here */
var_dump($arg1);
});
var_dump(strtotime('dummy'));
?>`

El resultado del ejemplo sería:

    string(5) "dummy"